#include<iostream>
int main()
{
long long v;
int i = 1,d,n=0;
std::cin >> v;
while(v>0)
{
    d=v%10;
    if(d>=5)
    {
        d=d-5;
        n++;
     }
    while(d-2>=0)
    {n++;
    d=d-2;}
    if (d==1)
    n++;
    i++;
    v/=10;
}
std::cout << n;
return 0;
}